commit: 54a2910e8dd28d507a0e23d1813a0fc788fb1c07
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 1 16:33:00 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 1 16:33:00 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54a2910e
dev-python/python-multipart: Bump to 0.0.19
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-multipart/Manifest | 1 +
.../python-multipart-0.0.19.ebuild | 44 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/python-multipart/Manifest
b/dev-python/python-multipart/Manifest
index e561656aa2e1..d2e8d6bf90fb 100644
--- a/dev-python/python-multipart/Manifest
+++ b/dev-python/python-multipart/Manifest
@@ -1,3 +1,4 @@
DIST python-multipart-0.0.12.gh.tar.gz 92904 BLAKE2B
25076627fdcb3a4bfc9eda74218f9d6d30ea18517da00c312f50c9d3ae156894b29e83bd38d4e11d7d06732999ae9640243e660d2a037253b9f511772a6c737b
SHA512
271ed29f3025be5c058a56ec56ce373348dc27b4c8130c17609bd48d73fc975b2ac8387d4989be578e1be01a618aad87c1d3ec3a37dbe73dc45813ec961842d0
DIST python-multipart-0.0.17.gh.tar.gz 94416 BLAKE2B
daf9f5e2a94d804216fbf18778295cec3270139d5912ace80ab84d57d32115d7a53563d429f81fd2f0f55b9fe30b58f62ef1d095414f7bfe6bd3951dbb9d9e89
SHA512
52b5d5b154a18a2ae34ce7931076278b5a5edb2cbca5350c6898fd675fb57755cefc97642b2edae7e7d9903d877430da85f73347b9fcaaf1c20fa09dc12799fd
DIST python-multipart-0.0.18.gh.tar.gz 95540 BLAKE2B
fb68867f6035ee463c69c89df6b792bd8506df03386a1d61f223aa0fb63c2e6604c76377e9c356e55280c39e20052eced7c48869cf9661980626586054379ae9
SHA512
d4b888d95cbbbb70a66a8d756dfa479e96bf9cb7e754f8630a89e63dbdc06a9e237dd257c5924618030bfd03737d202029bbd5b50e483f72680177d3b0775629
+DIST python-multipart-0.0.19.gh.tar.gz 95805 BLAKE2B
fcd22b383aab09cc9dd1eaf6b6859d406b3439fbfe3460761f147ab8230f4cae118e44d3f3f067c03d4ff508b655c8f84d120765e233c87ae11b014d2d544051
SHA512
cd4f1dc7b5b2e4b29dbccb62f71143dc5ecfad419c12aca2d780d8ef0f3fcc1ef9f7e129b56daa48caef04c95e2e365157b9d945a2e40a5693ba70b2d1d80686
diff --git a/dev-python/python-multipart/python-multipart-0.0.19.ebuild
b/dev-python/python-multipart/python-multipart-0.0.19.ebuild
new file mode 100644
index 000000000000..5f4588cbad96
--- /dev/null
+++ b/dev-python/python-multipart/python-multipart-0.0.19.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A streaming multipart parser for Python"
+HOMEPAGE="
+ https://github.com/Kludex/python-multipart/
+ https://pypi.org/project/python-multipart/
+"
+SRC_URI="
+ https://github.com/Kludex/python-multipart/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # do not install the backwards compatibility package
+ # we're patching revdeps instead
+ rm -r multipart || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}